Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader
Class ImageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xmlgraphics.image.loader.ImageException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SubImageNotFoundException

    public class ImageException

extends Exception

Base class for all image-related exceptions.

See Also:
  Serialized Form

Constructor Summary
`ImageException(String s)` Constructs an `ImageException` with the specified detail message.
`ImageException(String message, Throwable cause)` Constructs a new `ImageException` with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageException

    public ImageException(String s)

  Constructs an `ImageException` with the specified detail message. The error message string `s` can later be retrieved by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.

  Parameters:
    `s` - the detail message.

### ImageException

    public ImageException(String message,
                          Throwable cause)

  Constructs a new `ImageException` with the specified detail message and cause.

  Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.